| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
DeviceDescriptor_struct Struct Reference

Define the sensor device descriptor. More...

`#include <isf_sensors.h>`

Collaboration diagram for DeviceDescriptor_struct:

## Data Fields
dm_ChannelDescriptor_t | cDescriptor
dm_DeviceDescriptor_t | deviceHandle
bm_callback_token_t | token
LWSEM_STRUCT | deviceSemaphore
void * | pLock
void * | pCurrentSample
uint16 | dataBlockSize
uint16 | timeOut
uint8 | skipFramecnt

## Detailed Description

Define the sensor device descriptor.

Definition at line 49 of file isf_sensors.h.

## Field Documentation

dm_ChannelDescriptor_t cDescriptor

Device Messaging channel descriptor

Definition at line 51 of file isf_sensors.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Configure(), fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxls8471_i2cspi_3D_accel_Configure(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mma865x_i2c_3D_accel_Configure(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mpl3115_i2c_1D_press_Configure(), and fsl_mpl3115_i2c_1D_press_Initialize().

uint16 dataBlockSize

Sensor data buffer size

Definition at line 57 of file isf_sensors.h.

Referenced by mag3110_SetConfig().

dm_DeviceDescriptor_t deviceHandle

Device messaging device handle.

Definition at line 52 of file isf_sensors.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Configure(), fsl_fxas21002_i2cspi_3D_gyro_EndData(), fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_StartData(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_EndData(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_StartData(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mpl3115_i2c_1D_press_Initialize(), fxls8471_CheckId(), fxls8471_GetData(), fxls8471_Reset(), fxls8471_SetConfig(), fxls8471_SetMode(), mag3110_CheckId(), mag3110_GetData(), mag3110_SetConfig(), mag3110_SetMode(), mma865x_CheckId(), mma865x_GetData(), mma865x_Reset(), mma865x_SetConfig(), mma865x_SetMode(), mpl3115_CheckId(), mpl3115_GetData(), mpl3115_ReadRegisters(), mpl3115_Reset(), mpl3115_SetConfig(), and mpl3115_SetMode().

LWSEM_STRUCT deviceSemaphore

Task synchronization mechanism for this data structure.

Definition at line 54 of file isf_sensors.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Configure(), fsl_fxas21002_i2cspi_3D_gyro_EndData(), fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_StartData(), fsl_fxls8471_i2cspi_3D_accel_Configure(), fsl_fxls8471_i2cspi_3D_accel_EndData(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_StartData(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_EndData(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_StartData(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mag3110_i2c_3D_mag_EndData(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_StartData(), fsl_mma865x_i2c_3D_accel_Configure(), fsl_mma865x_i2c_3D_accel_EndData(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_StartData(), fsl_mpl3115_i2c_1D_press_Configure(), fsl_mpl3115_i2c_1D_press_EndData(), fsl_mpl3115_i2c_1D_press_Initialize(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and fsl_mpl3115_i2c_1D_press_StartData().

void* pCurrentSample

Pointer to the sensor current sample buffer.

Definition at line 56 of file isf_sensors.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_Initialize(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

void* pLock

Handle for internal lock

Definition at line 55 of file isf_sensors.h.

uint8 skipFramecnt

Bad frames to skip

Definition at line 59 of file isf_sensors.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_Initialize(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

uint16 timeOut

Device timeout in microseconds

Definition at line 58 of file isf_sensors.h.

bm_callback_token_t token

Bus Manager handle

Definition at line 53 of file isf_sensors.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Configure(), fsl_fxas21002_i2cspi_3D_gyro_EndData(), fsl_fxas21002_i2cspi_3D_gyro_Shutdown(), fsl_fxas21002_i2cspi_3D_gyro_StartData(), fsl_fxls8471_i2cspi_3D_accel_Configure(), fsl_fxls8471_i2cspi_3D_accel_EndData(), fsl_fxls8471_i2cspi_3D_accel_Shutdown(), fsl_fxls8471_i2cspi_3D_accel_StartData(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_EndData(), fsl_fxos8700_i2cspi_6D_AccMag_Shutdown(), fsl_fxos8700_i2cspi_6D_AccMag_StartData(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mag3110_i2c_3D_mag_EndData(), fsl_mag3110_i2c_3D_mag_Shutdown(), fsl_mag3110_i2c_3D_mag_StartData(), fsl_mma865x_i2c_3D_accel_Configure(), fsl_mma865x_i2c_3D_accel_EndData(), fsl_mma865x_i2c_3D_accel_Shutdown(), fsl_mma865x_i2c_3D_accel_StartData(), fsl_mpl3115_i2c_1D_press_Configure(), fsl_mpl3115_i2c_1D_press_EndData(), fsl_mpl3115_i2c_1D_press_Shutdown(), and fsl_mpl3115_i2c_1D_press_StartData().

The documentation for this struct was generated from the following file:

- SensorGeneric/isf_sensors.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.